Package org.eclipse.gef.fx.anchors

# Interface IComputationStrategy

All Known Implementing Classes:
  `ChopBoxStrategy`, `OrthogonalProjectionStrategy`, `ProjectionStrategy`

public interface IComputationStrategy
The `IComputationStrategy` is responsible for computing anchor positions based on the anchorage `Node`, the anchored `Node`, and respective (strategy-specific) `parameters`.

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static class`
`IComputationStrategy.Parameter<T>`
Base class for all computation parameters that can be passed to an `IComputationStrategy`.

## Method Summary

Modifier and Type
Method
Description
`Point`
`computePositionInScene(javafx.scene.Node anchorage, javafx.scene.Node anchored, Set<IComputationStrategy.Parameter<?>> parameters)`
Computes an anchor position based on the given anchorage visual, anchored visual, and anchored reference point.
`Set<Class<? extends IComputationStrategy.Parameter<?>>>`
`getRequiredParameters()`
Returns the types of parameters required by this strategy.

## Method Details

### computePositionInScene

Point computePositionInScene(javafx.scene.Node anchorage, javafx.scene.Node anchored, Set<IComputationStrategy.Parameter<?>> parameters)
Computes an anchor position based on the given anchorage visual, anchored visual, and anchored reference point.

Parameters:
  `anchorage` - The anchorage visual.
  `anchored` - The anchored visual.
  `parameters` - The available computation parameters. strategy.
Returns:
  The anchor position.

### getRequiredParameters

Set<Class<? extends IComputationStrategy.Parameter<?>>> getRequiredParameters()
Returns the types of parameters required by this strategy.

Returns:
  The parameters required by this strategy.